VERSION 5.00
Begin VB.Form ADDA 
   Caption         =   "PCI 12Bit ADDA Test"
   ClientHeight    =   2745
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3675
   BeginProperty Font 
      Name            =   "Arial"
      Size            =   9.75
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   ScaleHeight     =   2745
   ScaleWidth      =   3675
   StartUpPosition =   2  'CenterScreen
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Interval        =   1000
      Left            =   1200
      Top             =   1920
   End
   Begin VB.CommandButton okCmd 
      Caption         =   "OK"
      Height          =   495
      Left            =   1680
      TabIndex        =   3
      Top             =   2040
      Width           =   1215
   End
   Begin VB.Label Label6 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   1080
      TabIndex        =   7
      Top             =   1560
      Width           =   1815
   End
   Begin VB.Label Label5 
      Caption         =   "Output"
      Height          =   255
      Left            =   360
      TabIndex        =   6
      Top             =   1560
      Width           =   735
   End
   Begin VB.Label Label4 
      Caption         =   "Input"
      Height          =   255
      Left            =   480
      TabIndex        =   5
      Top             =   1080
      Width           =   495
   End
   Begin VB.Label Label10 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   1080
      TabIndex        =   4
      Top             =   1080
      Width           =   1815
   End
   Begin VB.Label Label3 
      Caption         =   "Address"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   855
   End
   Begin VB.Label Label2 
      BackColor       =   &H00FFFFC0&
      BorderStyle     =   1  'Fixed Single
      Height          =   375
      Left            =   960
      TabIndex        =   1
      Top             =   120
      Width           =   2535
   End
   Begin VB.Label Label1 
      BackColor       =   &H00FFFFC0&
      BorderStyle     =   1  'Fixed Single
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   600
      Width           =   3375
   End
End
Attribute VB_Name = "ADDA"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'========================================================
'     Decision Computer
'     PCI 12BitADDA Card Test Program for VB6.0
'     Date:2003/01/02
'     Designer:Charles Chien
'========================================================
Option Explicit

Private Const ADC_CHANNEL = 16
Private Const ADC_SCALE = 112
Private Const ADC_SAMPLE = 128
Private Const ADC_TRIG_INT = 0
Private Const ADC_TRIG_EXT = 512
Private Const ADC_TRIG_8254 = 768
Private Const ADC_EXT_GATE = 1024
Private Const ADC_INTR = 2048
Private Const ADC_TRIG = 4096
Private Const ADC_HOLD = Not ADC_SAMPLE
Dim op As Long
Dim adr As Long
Dim v As Long


Private Declare Function GetDevicePortAddressEx Lib _
"DecLib.dll" Alias "_GetDevicePortAddressEx@4" ( _
Address As Long) As Boolean

Private Declare Function OpenDecPort Lib "DecLib.dll" Alias _
"_OpenDecPort@0" () As Boolean

Private Declare Sub ClosePort Lib "DecLib.dll" Alias _
"_CloseDecPort@0" ()

Private Declare Function outportb Lib "DecLib.dll" Alias _
"_outportb@8" (ByVal PortAddress As Long, _
ByVal state As Byte) As Boolean

Private Declare Function outport Lib "DecLib.dll" Alias _
"_outport@8" (ByVal PortAddress As Long, _
ByVal state As Long) As Boolean

Private Declare Function inportb Lib "DecLib.dll" Alias _
"_inportb@4" (ByVal PortAddress As Long) As Integer

Private Declare Function inport Lib "DecLib.dll" Alias _
"_inport@4" (ByVal PortAddress As Long) As Integer



Private Sub Form_Load()

    Dim e As Boolean
    adr = 51200
    Label2.Caption = Hex(adr)
    Label1.Caption = "Open port is OK."
    e = outport(adr + 16, 0)
    op = ADC_TRIG_INT Or ADC_INTR Or ADC_SAMPLE
    Label1.Caption = op
    e = outport(adr, op)
        op = op And ADC_HOLD
    e = outport(adr, op)
        op = op Or ADC_TRIG
    e = outport(adr, op)
        op = op And (Not ADC_TRIG)
    e = outport(adr, op)
        v = 4095
        Timer1.Enabled = True

End Sub

Private Sub okCmd_Click()

    Dim x, y As Boolean
    If outportb(adr + 48, 0) Then
        If outportb(adr + 49, 0) Then
        End If
    End If
    ClosePort                 'To close the device.
    End

End Sub

Private Sub Timer1_Timer()

    Dim state As Long
    Dim op1 As Long
    Dim x As Integer
    Dim a As Boolean
    a = outport(adr + 16, v)
    op1 = ADC_TRIG_INT Or ADC_INTR Or ADC_SAMPLE
    a = outport(adr, op1)
        op1 = op1 And ADC_HOLD
    a = outport(adr, op1)
        op1 = op1 Or ADC_TRIG
    a = outport(adr, op1)
        op1 = op1 And (Not ADC_TRIG)
    a = outport(adr, op1)
    state = inportb(adr)
    If v >= 5 Then
        v = v - 5
    Else
        v = 4095
    End If
        
    Label10.Caption = state
    Label6.Caption = v
        
End Sub

